![]() | PickInput Class |
The PickInput class handles the input of picked objects and positions.

Namespace: Tekla.Structures.Model.UI
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1

The PickInput type exposes the following members.

Name | Description | |
---|---|---|
![]() | Count |
Gets the number of elements contained in the ICollection.
|
![]() | IsSynchronized |
Gets a value indicating whether access to the ICollection is synchronized (thread safe).
|
![]() | SyncRoot |
Gets an object that can be used to synchronize access to the ICollection.
|

Name | Description | |
---|---|---|
![]() | CopyTo | |
![]() ![]() | GetEnumerator |
Returns an enumerator that iterates through a collection.
|

The following example asks the user to pick a face and then shows the input for the plug-in:
using Tekla.Structures.Model; using Tekla.Structures.Model.UI; using Tekla.Structures.Geometry3d; using TSG = Tekla.Structures.Geometry3d; using System; using System.Collections; using System.Windows.Forms; public class Example { public void Example1() { Picker Picker = new Picker(); try { PickInput Input = Picker.PickFace(""); IEnumerator MyEnum = Input.GetEnumerator(); while (MyEnum.MoveNext()) { InputItem Item = MyEnum.Current as InputItem; if (Item.GetInputType() == InputItem.InputTypeEnum.INPUT_1_OBJECT) { ModelObject M = Item.GetData() as ModelObject; MessageBox.Show(M.Identifier.ToString()); } if (Item.GetInputType() == InputItem.InputTypeEnum.INPUT_POLYGON) { ArrayList Points = Item.GetData() as ArrayList; MessageBox.Show((Points[0] as TSG.Point).ToString()); } } } catch (Exception e) { MessageBox.Show(e.ToString()); } } }
